Package org.lwjgl.opengles

# Class ContextAttribs

java.lang.Object
org.lwjgl.opengles.ContextAttribs

public final class ContextAttribs extends Object
This class represents the context attributes passed to EGL's eglCreateContext. The only attribute allowed is EGL_CONTEXT_CLIENT_VERSION and it must be 2 or 3 (LWJGL does not support GLES 1.x).

## Constructor Summary

Constructors
Constructor
Description
`ContextAttribs()`
`ContextAttribs(int version)`

## Method Summary

Modifier and Type
Method
Description
`IntBuffer`
`getAttribList()`
`int`
`getVersion()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ContextAttribs

public ContextAttribs()

### ContextAttribs

public ContextAttribs(int version)

## Method Details

### getVersion

public int getVersion()

### getAttribList

public IntBuffer getAttribList()

### toString

public String toString()

Overrides:
  `toString` in class `Object`